org.apache.solr.handler.component

## Class FacetComponent.FieldFacet

- java.lang.Object
- - org.apache.solr.handler.component.FacetComponent.FacetBase
  - - org.apache.solr.handler.component.FacetComponent.FieldFacet

- Direct Known Subclasses:
    FacetComponent.DistribFieldFacet
  Enclosing class:
    FacetComponent

      public static class FacetComponent.FieldFacet
      extends FacetComponent.FacetBase

  This API is experimental and subject to change

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `field`
    `FieldType` | `ftype`
    `int` | `limit`
    `int` | `minCount`
    `boolean` | `missing`
    `long` | `missingCount`
    `int` | `offset`
    `String` | `prefix`
    `String` | `sort`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldFacet(ResponseBuilder rb, String facetStr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fillParams(ResponseBuilder rb, SolrParams params, String field)`

    - ### Methods inherited from class org.apache.solr.handler.component.FacetComponent.FacetBase

      `getExcludeTags, getKey, getTags, getThreadCount, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field

          public String field

    - #### ftype

          public FieldType ftype

    - #### offset

          public int offset

    - #### limit

          public int limit

    - #### minCount

          public int minCount

    - #### sort

          public String sort

    - #### missing

          public boolean missing

    - #### prefix

          public String prefix

    - #### missingCount

          public long missingCount

  - ### Constructor Detail

    - #### FieldFacet

          public FieldFacet(ResponseBuilder rb,
                            String facetStr)

  - ### Method Detail

    - #### fillParams

          protected void fillParams(ResponseBuilder rb,
                                    SolrParams params,
                                    String field)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.